//////////////////////////////////////////////////////////////////////////////
// NAME.......: WizPages.h                                               
// PURPOSE....: wizard pages header file
// WRITTEN....: 96/09/27 by Darko Juvan
// DESCRIPTION: declaration	of wizard property pages
//
// This code and information is provided "as is" without warranty of any
// kind, either expressed or implied, including but not limited to the
// implied warranties of merchantability and/or fitness for a particular
// purpose..
//
// Copyright (c) 1998  Multiactive Software Inc.  All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

#include "WizPropertySheet.h"
#include "WizPropertyPage.h"
#include "resource.h"
#include "DTCtrl.h"
#include "CalendarCtrl.h"
#include "OwnComboBox.h"


/////////////////////////////////////////////////////////////////////////////
// CPage1 dialog
class CPage1 : public CWizPropertyPage
{
	DECLARE_DYNCREATE(CPage1)

// Construction
public:
	CPage1();
	CPage1(CWizPropertySheet* pWizSheet); 
	~CPage1();


//Atributes
	CString m_text1;
	CString m_text2;

// Dialog Data
	//{{AFX_DATA(CPage1)
	enum { IDD = IDD_PAGE1 };
		// NOTE - ClassWizard will add data members here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPage1)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL OnKillActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPage1)
	virtual BOOL OnInitDialog();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnRadio3();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()



};
/////////////////////////////////////////////////////////////////////////////
// CPage2 dialog
class CPage2 : public CWizPropertyPage
{
	DECLARE_DYNCREATE(CPage2)

// Construction
public:
	int ConvertTime(int hour, int min, BOOL bPM);
	CPage2();
	CPage2(CWizPropertySheet* pWizSheet); 
	~CPage2();
	void OnTimeChanged();

//	void Checktime();
	CCalendarCtrl m_calendar;
    int m_iYear; // year
    int m_iMonth; // month
    int m_iDay; // day

   	CTime m_Time1;
	CTime m_Time2;

	CDTCtrl	 m_time1;
	CDTCtrl	 m_time2;
//    int  m_iHour1; // hour
//    int  m_iMinute1; // minute
//    BOOL m_bPM1; // FALSE=AM, TRUE=PM

// Dialog Data
	//{{AFX_DATA(CPage2)
	enum { IDD = IDD_PAGE2 };
		// NOTE - ClassWizard will add data members here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPage2)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual BOOL OnSetActive();
	virtual BOOL OnKillActive();
	virtual LRESULT OnWizardNext();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPage2)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	LONG OnDateChanged(UINT wParam, LONG lParam);
	DECLARE_MESSAGE_MAP()

};
/////////////////////////////////////////////////////////////////////////////
// CPage3 dialog
class CPage3 : public CWizPropertyPage
{
	DECLARE_DYNCREATE(CPage3)

// Construction
public:
	LPCTSTR GetActivity(int sel);
	CPage3();
	CPage3(CWizPropertySheet* pWizSheet); 
	~CPage3();
//Atributes
	CBmpCombo m_combo;
// Dialog Data
	//{{AFX_DATA(CPage3)
	enum { IDD = IDD_PAGE3 };
		// NOTE - ClassWizard will add data members here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPage3)
	public:
	virtual BOOL OnSetActive();
	virtual LRESULT OnWizardNext();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPage3)
	virtual BOOL OnInitDialog();
	virtual BOOL OnKillActive();
	afx_msg void OnSelchangeComboActivity();
	afx_msg void OnSelchangeComboPriority();
	afx_msg void OnEditchangeComboAlarm();
	afx_msg void OnSelchangeComboAlarm();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnUpdateEditActivity();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void SetComboAlarm(CString str) ;
};
//////////////////////////////////////////////////////////////////////////
// CPage4 dialog
class CPage4 : public CWizPropertyPage
{
	DECLARE_DYNCREATE(CPage4)

// Construction
public:
	CPage4();
	CPage4(CWizPropertySheet* pWizSheet); 
	~CPage4();
 
//Atributes
// Dialog Data
	//{{AFX_DATA(CPage4)
	enum { IDD = IDD_PAGE4 };
		// NOTE - ClassWizard will add data members here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPage4)
	public:
	virtual BOOL OnSetActive();
	virtual LRESULT OnWizardBack();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPage4)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};
